const A = 65
const C = 67
const E = 69
const P = 80
const L = 76
const M = 77
const B = 66
const N = 78
const O = 79
const G = 71
const H = 72
const I = 73
const Q = 81
const S = 83
const T = 84
const D = 68
const F = 70
const Z = 90
const UP = 38
const W = 87
const R = 82
const DOWN = 40
const LEFT = 37
const RIGHT = 39
const ERASE = 8
const SUPPR = 46
const ENTER = 13
const fontStr = 'monospace'
const RECT = 'rect'
let enumMapping={
	S:S,
	D:D,
	F:F,
	UP:UP,
	DOWN:DOWN,
	LEFT:LEFT,
	RIGHT:RIGHT
}


const STD = "std"
const STICKY = "sticky"
const SLIPPERY = "slippery"
const BREAKABLE = "breakable"
const EXPLODABLE = "explodable"
const MOVABLE = "movable"
const GRAVITY = "gravity"


const SMOOTH_CAMFACTOR=50
const GRAVITY_AMOUNT=15
const JUMP_FORCE=-35
const SPEED_AMOUNT=5
const SLIPPERY_FACTOR=50
const MS_DELAY_ROLL_AFTER_FALL=500
const BREAKABLE_REMOVAL_DELAY=250

let keyCodeLst = [S,D,F,UP,DOWN,LEFT,RIGHT]

const mapHeight = 750
const mapWidth = 1500
let preFilledDownLeft=[{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[271,268,0],[263,253,0],[249,268,0],[251,253,0],[261,236,0],[264,232,0],[257,243,0],[256,229,0],[247,235,0],[259,212,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[271,273,0],[263,256,0],[249,273,0],[251,256,0],[261,239,0],[253,239,0],[246,250,0],[245,236,0],[236,242,0],[252,219,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[272,272,0],[263,256,0],[250,272,0],[251,256,0],[261,239,0],[248,243,0],[241,254,0],[240,240,0],[231,246,0],[247,223,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[273,272,0],[263,256,0],[251,272,0],[251,256,0],[261,239,0],[243,246,0],[236,257,0],[235,243,0],[226,249,0],[241,227,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[281,273,0],[265,266,0],[256,281,0],[255,263,0],[268,240,0],[247,253,0],[234,270,0],[239,250,0],[225,263,0],[240,238,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[296,266,0],[275,254,0],[277,275,0],[265,255,0],[278,227,0],[254,256,0],[253,282,0],[243,255,0],[237,275,0],[249,241,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[284,240,0],[262,253,0],[291,249,0],[274,256,0],[267,223,0],[256,260,0],[259,280,0],[244,261,0],[242,280,0],[238,244,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[282,240,0],[255,251,0],[291,240,0],[267,254,0],[249,230,0],[254,260,0],[257,280,0],[241,254,0],[240,280,0],[224,266,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[268,220,0],[268,241,0],[261,220,0],[261,241,0],[242,226,0],[258,256,0],[264,269,0],[252,260,0],[253,270,0],[241,265,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[276,218,0],[263,243,0],[269,218,0],[256,245,0],[238,229,0],[270,245,0],[272,267,0],[258,250,0],[261,268,0],[253,270,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[242,220,0],[244,247,0],[230,225,0],[239,240,0],[222,241,0],[257,255,0],[268,247,0],[240,265,0],[255,249,0],[257,271,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[235,220,0],[242,242,0],[219,223,0],[232,237,0],[214,248,0],[255,245,0],[266,237,0],[238,255,0],[253,239,0],[255,261,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[223,235,0],[245,246,0],[217,229,0],[239,237,0],[223,254,0],[265,234,0],[271,225,0],[251,237,0],[265,220,0],[262,253,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[216,243,0],[244,251,0],[218,249,0],[238,246,0],[236,264,0],[264,230,0],[270,221,0],[250,233,0],[264,216,0],[261,249,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[220,251,0],[230,238,0],[222,256,0],[241,239,0],[237,262,0],[253,220,0],[259,211,0],[239,223,0],[253,206,0],[250,239,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[226,269,0],[238,247,0],[214,260,0],[226,242,0],[242,266,0],[254,216,0],[260,207,0],[240,219,0],[254,202,0],[251,235,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[224,275,0],[236,253,0],[212,266,0],[224,248,0],[247,261,0],[248,223,0],[254,214,0],[234,226,0],[248,209,0],[255,232,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[230,268,0],[237,250,0],[224,269,0],[228,249,0],[247,250,0],[237,234,0],[234,220,0],[243,237,0],[241,222,0],[256,220,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[236,267,0],[243,249,0],[243,271,0],[252,255,0],[253,240,0],[248,233,0],[237,236,0],[260,231,0],[248,239,0],[258,211,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[246,261,0],[249,244,0],[269,264,0],[267,249,0],[259,235,0],[254,228,0],[243,231,0],[266,226,0],[254,234,0],[264,206,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[249,268,0],[254,251,0],[270,267,0],[265,255,0],[263,238,0],[257,228,0],[247,234,0],[270,230,0],[255,240,0],[265,209,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[251,268,0],[252,255,0],[269,268,0],[265,255,0],[260,241,0],[264,234,0],[247,243,0],[256,231,0],[242,237,0],[261,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[249,268,0],[251,254,0],[267,268,0],[264,254,0],[259,240,0],[263,226,0],[248,237,0],[252,223,0],[245,231,0],[260,209,1]]}]
let preFilledDownRight=[{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[249,268,0],[257,253,0],[271,268,0],[269,253,0],[259,236,0],[256,232,0],[263,243,0],[264,229,0],[273,235,0],[261,212,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[249,273,0],[257,256,0],[271,273,0],[269,256,0],[259,239,0],[267,239,0],[274,250,0],[275,236,0],[284,242,0],[268,219,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[248,272,0],[257,256,0],[270,272,0],[269,256,0],[259,239,0],[272,243,0],[279,254,0],[280,240,0],[289,246,0],[273,223,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[247,272,0],[257,256,0],[269,272,0],[269,256,0],[259,239,0],[277,246,0],[284,257,0],[285,243,0],[294,249,0],[279,227,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[239,273,0],[255,266,0],[264,281,0],[265,263,0],[252,240,0],[273,253,0],[286,270,0],[281,250,0],[295,263,0],[280,238,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[224,266,0],[245,254,0],[243,275,0],[255,255,0],[242,227,0],[266,256,0],[267,282,0],[277,255,0],[283,275,0],[271,241,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[236,240,0],[258,253,0],[229,249,0],[246,256,0],[253,223,0],[264,260,0],[261,280,0],[276,261,0],[278,280,0],[282,244,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[238,240,0],[265,251,0],[229,240,0],[253,254,0],[271,230,0],[266,260,0],[263,280,0],[279,254,0],[280,280,0],[296,266,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[252,220,0],[252,241,0],[259,220,0],[259,241,0],[278,226,0],[262,256,0],[256,269,0],[268,260,0],[267,270,0],[279,265,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[244,218,0],[257,243,0],[251,218,0],[264,245,0],[282,229,0],[250,245,0],[248,267,0],[262,250,0],[259,268,0],[267,270,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[278,220,0],[276,247,0],[290,225,0],[281,240,0],[298,241,0],[263,255,0],[252,247,0],[280,265,0],[265,249,0],[263,271,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[285,220,0],[278,242,0],[301,223,0],[288,237,0],[306,248,0],[265,245,0],[254,237,0],[282,255,0],[267,239,0],[265,261,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[297,235,0],[275,246,0],[303,229,0],[281,237,0],[297,254,0],[255,234,0],[249,225,0],[269,237,0],[255,220,0],[258,253,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[304,243,0],[276,251,0],[302,249,0],[282,246,0],[284,264,0],[256,230,0],[250,221,0],[270,233,0],[256,216,0],[259,249,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[300,251,0],[290,238,0],[298,256,0],[279,239,0],[283,262,0],[267,220,0],[261,211,0],[281,223,0],[267,206,0],[270,239,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[294,269,0],[282,247,0],[306,260,0],[294,242,0],[278,266,0],[266,216,0],[260,207,0],[280,219,0],[266,202,0],[269,235,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[296,275,0],[284,253,0],[308,266,0],[296,248,0],[273,261,0],[272,223,0],[266,214,0],[286,226,0],[272,209,0],[265,232,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[290,268,0],[283,250,0],[296,269,0],[292,249,0],[273,250,0],[283,234,0],[286,220,0],[277,237,0],[279,222,0],[264,220,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[284,267,0],[277,249,0],[277,271,0],[268,255,0],[267,240,0],[272,233,0],[283,236,0],[260,231,0],[272,239,0],[262,211,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[274,261,0],[271,244,0],[251,264,0],[253,249,0],[261,235,0],[266,228,0],[277,231,0],[254,226,0],[266,234,0],[256,206,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[271,268,0],[266,251,0],[250,267,0],[255,255,0],[257,238,0],[263,228,0],[273,234,0],[250,230,0],[265,240,0],[255,209,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[269,268,0],[268,255,0],[251,268,0],[255,255,0],[260,241,0],[256,234,0],[273,243,0],[264,231,0],[278,237,0],[259,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[271,268,0],[269,254,0],[253,268,0],[256,254,0],[261,240,0],[257,226,0],[272,237,0],[268,223,0],[275,231,0],[260,209,1]]}]
let preFilledRight=[{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[252,270,0],[258,254,0],[272,270,0],[269,254,0],[260,240,0],[267,229,0],[271,240,0],[255,237,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[248,270,0],[256,260,0],[272,270,0],[267,256,0],[260,240,0],[267,229,0],[271,240,0],[255,237,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[248,270,0],[256,260,0],[272,270,0],[267,256,0],[260,240,0],[267,229,0],[271,240,0],[255,237,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[250,267,0],[261,261,0],[264,271,0],[267,256,0],[260,240,0],[267,229,0],[271,240,0],[251,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[250,267,0],[261,261,0],[264,271,0],[267,256,0],[260,240,0],[267,229,0],[271,240,0],[251,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[249,258,0],[263,259,0],[263,272,0],[268,261,0],[260,240,0],[267,229,0],[271,240,0],[251,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[249,258,0],[263,259,0],[263,272,0],[268,261,0],[260,240,0],[267,229,0],[271,240,0],[251,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[252,258,0],[270,260,0],[265,272,0],[263,265,0],[260,240,0],[254,235,0],[271,240,0],[264,227,0],[270,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[251,264,0],[265,257,0],[265,272,0],[263,265,0],[260,240,0],[254,235,0],[271,240,0],[264,227,0],[270,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[254,262,0],[268,258,0],[254,270,0],[257,263,0],[260,240,0],[254,235,0],[271,240,0],[264,227,0],[270,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[259,266,0],[268,258,0],[254,270,0],[257,263,0],[260,240,0],[254,235,0],[271,240,0],[264,227,0],[270,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[248,268,0],[257,254,0],[265,270,0],[268,259,0],[260,240,0],[254,235,0],[271,240,0],[264,227,0],[270,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[248,268,0],[257,254,0],[265,270,0],[268,259,0],[260,240,0],[254,235,0],[271,240,0],[264,227,0],[270,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[263,269,0],[267,254,0],[246,259,0],[258,252,0],[260,240,0],[256,234,0],[271,240,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[263,269,0],[263,258,0],[248,251,0],[260,258,0],[260,240,0],[256,234,0],[271,240,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[260,269,0],[262,263,0],[254,258,0],[269,255,0],[260,240,0],[256,234,0],[271,240,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[260,269,0],[263,258,0],[258,250,0],[273,258,0],[260,240,0],[256,234,0],[271,240,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[260,269,0],[263,258,0],[264,260,0],[273,258,0],[260,240,0],[256,234,0],[271,240,0],[261,235,0],[272,236,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[257,260,0],[269,255,0],[253,267,0],[255,256,0],[257,243,0],[265,229,0],[276,236,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[257,260,0],[269,255,0],[253,267,0],[255,256,0],[257,243,0],[265,229,0],[276,236,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[263,263,0],[274,254,0],[253,267,0],[259,257,0],[257,243,0],[265,229,0],[276,236,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[263,263,0],[274,254,0],[253,267,0],[256,259,0],[257,243,0],[265,229,0],[276,236,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[265,264,0],[274,254,0],[253,267,0],[255,258,0],[257,243,0],[252,232,0],[260,237,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[265,264,0],[274,254,0],[253,267,0],[255,258,0],[257,243,0],[252,232,0],[260,237,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[267,269,0],[266,256,0],[247,270,0],[255,258,0],[257,243,0],[252,232,0],[260,237,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[267,269,0],[266,256,0],[250,269,0],[255,258,0],[257,243,0],[252,232,0],[260,237,0],[261,235,0],[265,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[267,269,0],[262,255,0],[245,269,0],[252,260,0],[257,243,0],[252,232,0],[260,237,0],[263,230,0],[274,231,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[267,269,0],[266,256,0],[246,269,0],[253,256,0],[257,243,0],[252,232,0],[260,237,0],[263,230,0],[274,231,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[269,273,0],[265,256,0],[242,271,0],[255,261,0],[257,243,0],[248,226,0],[253,238,0],[263,230,0],[274,235,0],[260,210,1]]}]
let preFilledLeft=[{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[268,270,0],[262,254,0],[248,270,0],[251,254,0],[260,240,0],[253,229,0],[249,240,0],[265,237,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[272,270,0],[264,260,0],[248,270,0],[253,256,0],[260,240,0],[253,229,0],[249,240,0],[265,237,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[272,270,0],[264,260,0],[248,270,0],[253,256,0],[260,240,0],[253,229,0],[249,240,0],[265,237,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[270,267,0],[259,261,0],[256,271,0],[253,256,0],[260,240,0],[253,229,0],[249,240,0],[269,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[270,267,0],[259,261,0],[256,271,0],[253,256,0],[260,240,0],[253,229,0],[249,240,0],[269,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[271,258,0],[257,259,0],[257,272,0],[252,261,0],[260,240,0],[253,229,0],[249,240,0],[269,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[271,258,0],[257,259,0],[257,272,0],[252,261,0],[260,240,0],[253,229,0],[249,240,0],[269,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[268,258,0],[250,260,0],[255,272,0],[257,265,0],[260,240,0],[266,235,0],[249,240,0],[256,227,0],[250,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[269,264,0],[255,257,0],[255,272,0],[257,265,0],[260,240,0],[266,235,0],[249,240,0],[256,227,0],[250,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[266,262,0],[252,258,0],[266,270,0],[263,263,0],[260,240,0],[266,235,0],[249,240,0],[256,227,0],[250,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[261,266,0],[252,258,0],[266,270,0],[263,263,0],[260,240,0],[266,235,0],[249,240,0],[256,227,0],[250,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[272,268,0],[263,254,0],[255,270,0],[252,259,0],[260,240,0],[266,235,0],[249,240,0],[256,227,0],[250,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[272,268,0],[263,254,0],[255,270,0],[252,259,0],[260,240,0],[266,235,0],[249,240,0],[256,227,0],[250,238,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[257,269,0],[253,254,0],[274,259,0],[262,252,0],[260,240,0],[264,234,0],[249,240,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[257,269,0],[257,258,0],[272,251,0],[260,258,0],[260,240,0],[264,234,0],[249,240,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[260,269,0],[258,263,0],[266,258,0],[251,255,0],[260,240,0],[264,234,0],[249,240,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[260,269,0],[257,258,0],[262,250,0],[247,258,0],[260,240,0],[264,234,0],[249,240,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[260,269,0],[257,258,0],[256,260,0],[247,258,0],[260,240,0],[264,234,0],[249,240,0],[259,235,0],[248,236,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[263,260,0],[251,255,0],[267,267,0],[265,256,0],[263,243,0],[255,229,0],[244,236,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[263,260,0],[251,255,0],[267,267,0],[265,256,0],[263,243,0],[255,229,0],[244,236,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[257,263,0],[246,254,0],[267,267,0],[261,257,0],[263,243,0],[255,229,0],[244,236,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[257,263,0],[246,254,0],[267,267,0],[264,259,0],[263,243,0],[255,229,0],[244,236,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[255,264,0],[246,254,0],[267,267,0],[265,258,0],[263,243,0],[268,232,0],[260,237,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[255,264,0],[246,254,0],[267,267,0],[265,258,0],[263,243,0],[268,232,0],[260,237,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[253,269,0],[254,256,0],[273,270,0],[265,258,0],[263,243,0],[268,232,0],[260,237,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[253,269,0],[254,256,0],[270,269,0],[265,258,0],[263,243,0],[268,232,0],[260,237,0],[259,235,0],[255,244,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[253,269,0],[258,255,0],[275,269,0],[268,260,0],[263,243,0],[268,232,0],[260,237,0],[257,230,0],[246,231,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[253,269,0],[254,256,0],[274,269,0],[267,256,0],[263,243,0],[268,232,0],[260,237,0],[257,230,0],[246,231,0],[260,210,1]]},{"topo":[[0,1],[2,3],[1,4],[3,4],[9,4],[5,9],[7,9],[5,6],[7,8]],"vertices":[[251,273,0],[255,256,0],[278,271,0],[265,261,0],[263,243,0],[272,226,0],[267,238,0],[257,230,0],[246,235,0],[260,210,1]]}]
let preFilledMap=JSON.parse("[{\"xy\":[1501.2228525915652,12.000000000007773],\"width\":1499.2228525913947,\"height\":10.999999999992909,\"top\":1.0000000000148646,\"bot\":23.000000000000682,\"left\":2.0000000001705303,\"right\":3000.44570518296,\"vertices\":[[2.000000000170502,1.0000000000148646],[3000.44570518296,23.000000000000682]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[2987.94570518296,732.0000000000007],\"width\":12.5,\"height\":708,\"top\":24.000000000000682,\"bot\":1440.0000000000007,\"left\":2975.44570518296,\"right\":3000.44570518296,\"vertices\":[[2975.44570518296,24.000000000000682],[3000.44570518296,1440.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[2624.94570518296,1470.0000000000007],\"width\":373.5,\"height\":31,\"top\":1439.0000000000007,\"bot\":1501.0000000000007,\"left\":2251.44570518296,\"right\":2998.44570518296,\"vertices\":[[2251.44570518296,1439.0000000000007],[2998.44570518296,1501.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1126.44570518296,1416.0000000000007],\"width\":1125,\"height\":85,\"top\":1331.0000000000007,\"bot\":1501.0000000000007,\"left\":1.445705182959955,\"right\":2251.44570518296,\"vertices\":[[1.445705182959955,1331.0000000000007],[2251.44570518296,1501.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[17.945705182959955,677.0000000000007],\"width\":16.5,\"height\":654,\"top\":23.000000000000682,\"bot\":1331.0000000000007,\"left\":1.445705182959955,\"right\":34.445705182959955,\"vertices\":[[1.445705182959955,23.000000000000682],[34.445705182959955,1331.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[196.94570518295995,269.0000000000007],\"width\":56.5,\"height\":30,\"top\":269.0000000000007,\"bot\":299.0000000000007,\"left\":140.44570518295995,\"right\":253.44570518295995,\"vertices\":[[140.44570518295995,239.00000000000068],[253.44570518295995,299.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"movable\",\"hasMoved\":false},{\"xy\":[256.94570518295995,168.00000000000068],\"width\":6.5,\"height\":49,\"top\":119.00000000000068,\"bot\":217.00000000000068,\"left\":250.44570518295995,\"right\":263.44570518295995,\"vertices\":[[250.44570518295995,119.00000000000068],[263.44570518295995,217.00000000000068]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[189.94570518295995,116.00000000000068],\"width\":53.5,\"height\":9,\"top\":107.00000000000068,\"bot\":125.00000000000068,\"left\":136.44570518295995,\"right\":243.44570518295995,\"vertices\":[[136.44570518295995,107.00000000000068],[243.44570518295995,125.00000000000068]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[146.44570518295995,180.50000000000068],\"width\":8,\"height\":41.5,\"top\":139.00000000000068,\"bot\":222.00000000000068,\"left\":138.44570518295995,\"right\":154.44570518295995,\"vertices\":[[138.44570518295995,139.00000000000068],[154.44570518295995,222.00000000000068]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[292.94570518295995,208.50000000000068],\"width\":9.5,\"height\":49.5,\"top\":159.00000000000068,\"bot\":258.0000000000007,\"left\":283.44570518295995,\"right\":302.44570518295995,\"vertices\":[[283.44570518295995,159.00000000000068],[302.44570518295995,258.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[336.94570518295995,207.00000000000068],\"width\":8.5,\"height\":47,\"top\":160.00000000000068,\"bot\":254.00000000000068,\"left\":328.44570518295995,\"right\":345.44570518295995,\"vertices\":[[328.44570518295995,160.00000000000068],[345.44570518295995,254.00000000000068]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[343.94570518295995,397.5000000000007],\"width\":309.5,\"height\":65.5,\"top\":332.0000000000007,\"bot\":463.0000000000007,\"left\":34.445705182959955,\"right\":653.44570518296,\"vertices\":[[34.445705182959955,332.0000000000007],[653.44570518296,463.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[344.44570518295995,331.5000000000007],\"width\":309,\"height\":8.5,\"top\":323.0000000000007,\"bot\":340.0000000000007,\"left\":35.445705182959955,\"right\":653.44570518296,\"vertices\":[[35.445705182959955,323.0000000000007],[653.44570518296,340.0000000000007]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[314.0000277595882,109.89999825179184],\"width\":53.99997643205032,\"height\":12.499998515767558,\"top\":97.39999973602428,\"bot\":122.3999967675594,\"left\":260.0000513275379,\"right\":368.0000041916385,\"vertices\":[[260.00005132753785,97.39999973602428],[368.0000041916385,122.3999967675594]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[314.00000000003445,130.89999999999753],\"width\":43.99999999996794,\"height\":3.499999999998238,\"top\":127.3999999999993,\"bot\":134.39999999999577,\"left\":270.0000000000665,\"right\":358.0000000000024,\"vertices\":[[270.0000000000665,127.3999999999993],[358.0000000000024,134.39999999999577]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[737.5954853526775,446.78953698200314],\"width\":11,\"height\":122.5,\"top\":324.28953698200314,\"bot\":569.2895369820031,\"left\":726.5954853526775,\"right\":748.5954853526775,\"vertices\":[[726.5954853526775,324.28953698200314],[748.5954853526775,569.2895369820031]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[601.5954853526775,716.7895369820031],\"width\":16,\"height\":191.5,\"top\":525.2895369820031,\"bot\":908.2895369820031,\"left\":585.5954853526775,\"right\":617.5954853526775,\"vertices\":[[585.5954853526775,525.2895369820031],[617.5954853526775,908.2895369820031]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[675.5954853526775,537.7895369820031],\"width\":24,\"height\":4.5,\"top\":533.2895369820031,\"bot\":542.2895369820031,\"left\":651.5954853526775,\"right\":699.5954853526775,\"vertices\":[[651.5954853526775,533.2895369820031],[699.5954853526775,542.2895369820031]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[799.5954853526775,326.289536982003],\"width\":20,\"height\":9,\"top\":317.289536982003,\"bot\":335.289536982003,\"left\":779.5954853526775,\"right\":819.5954853526775,\"vertices\":[[779.5954853526775,317.289536982003],[819.5954853526775,335.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[876.5954853526775,323.289536982003],\"width\":22,\"height\":9,\"top\":314.289536982003,\"bot\":332.289536982003,\"left\":854.5954853526775,\"right\":898.5954853526775,\"vertices\":[[854.5954853526775,314.289536982003],[898.5954853526775,332.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[953.5954853526775,296.289536982003],\"width\":26,\"height\":12,\"top\":284.289536982003,\"bot\":308.289536982003,\"left\":927.5954853526775,\"right\":979.5954853526775,\"vertices\":[[927.5954853526775,284.289536982003],[979.5954853526775,308.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1045.0954853526775,263.789536982003],\"width\":24.5,\"height\":14.5,\"top\":249.28953698200303,\"bot\":278.289536982003,\"left\":1020.5954853526775,\"right\":1069.5954853526775,\"vertices\":[[1020.5954853526775,249.28953698200303],[1069.5954853526775,278.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1155.5954853526775,223.28953698200303],\"width\":29,\"height\":15,\"top\":208.28953698200303,\"bot\":238.28953698200303,\"left\":1126.5954853526775,\"right\":1184.5954853526775,\"vertices\":[[1126.5954853526775,208.28953698200303],[1184.5954853526775,238.28953698200303]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1565.0954853526775,224.28953698200303],\"width\":339.5,\"height\":12,\"top\":212.28953698200303,\"bot\":236.28953698200303,\"left\":1225.5954853526775,\"right\":1904.5954853526775,\"vertices\":[[1225.5954853526775,212.28953698200303],[1904.5954853526775,236.28953698200303]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[2375.0954853526773,355.789536982003],\"width\":518.5,\"height\":22.5,\"top\":333.289536982003,\"bot\":378.289536982003,\"left\":1856.5954853526773,\"right\":2893.5954853526773,\"vertices\":[[1856.5954853526773,333.289536982003],[2893.5954853526773,378.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[2375.0954853526773,340.789536982003],\"width\":520.5,\"height\":13.5,\"top\":327.289536982003,\"bot\":354.289536982003,\"left\":1854.5954853526773,\"right\":2895.5954853526773,\"vertices\":[[1854.5954853526773,327.289536982003],[2895.5954853526773,354.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[1565.5954853526773,215.78953698200303],\"width\":340,\"height\":9.5,\"top\":206.28953698200303,\"bot\":225.28953698200303,\"left\":1225.5954853526773,\"right\":1905.5954853526773,\"vertices\":[[1225.5954853526773,206.28953698200303],[1905.5954853526773,225.28953698200303]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[319.5954853526773,711.789536982003],\"width\":145,\"height\":30.5,\"top\":711.789536982003,\"bot\":742.289536982003,\"left\":174.59548535267731,\"right\":464.5954853526773,\"vertices\":[[174.59548535267731,681.289536982003],[464.5954853526773,742.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"movable\",\"hasMoved\":false},{\"xy\":[534.0954853526773,1256.789536982003],\"width\":28.5,\"height\":72.5,\"top\":1184.289536982003,\"bot\":1329.289536982003,\"left\":505.5954853526773,\"right\":562.5954853526773,\"vertices\":[[505.5954853526773,1184.289536982003],[562.5954853526773,1329.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[731.5954853526773,1255.789536982003],\"width\":28,\"height\":74.5,\"top\":1181.289536982003,\"bot\":1330.289536982003,\"left\":703.5954853526773,\"right\":759.5954853526773,\"vertices\":[[703.5954853526773,1181.289536982003],[759.5954853526773,1330.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[363.5954853526773,1255.789536982003],\"width\":26,\"height\":76.5,\"top\":1179.289536982003,\"bot\":1332.289536982003,\"left\":337.5954853526773,\"right\":389.5954853526773,\"vertices\":[[337.5954853526773,1179.289536982003],[389.5954853526773,1332.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"sticky\",\"hasMoved\":false},{\"xy\":[447.0954853526773,1330.289536982003],\"width\":57.5,\"height\":8,\"top\":1322.289536982003,\"bot\":1338.289536982003,\"left\":389.5954853526773,\"right\":504.5954853526773,\"vertices\":[[389.5954853526773,1322.289536982003],[504.5954853526773,1338.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[633.0954853526773,1331.289536982003],\"width\":70.5,\"height\":11,\"top\":1320.289536982003,\"bot\":1342.289536982003,\"left\":562.5954853526773,\"right\":703.5954853526773,\"vertices\":[[562.5954853526773,1320.289536982003],[703.5954853526773,1342.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[836.0954853526773,1256.289536982003],\"width\":75.5,\"height\":73,\"top\":1183.289536982003,\"bot\":1329.289536982003,\"left\":760.5954853526773,\"right\":911.5954853526773,\"vertices\":[[760.5954853526773,1183.289536982003],[911.5954853526773,1329.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"explodable\",\"hasMoved\":false},{\"xy\":[806.0954853526773,1183.789536982003],\"width\":103.5,\"height\":9.5,\"top\":1174.289536982003,\"bot\":1193.289536982003,\"left\":702.5954853526773,\"right\":909.5954853526773,\"vertices\":[[702.5954853526773,1174.289536982003],[909.5954853526773,1193.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[534.0954853526773,1185.289536982003],\"width\":26.5,\"height\":6,\"top\":1179.289536982003,\"bot\":1191.289536982003,\"left\":507.5954853526773,\"right\":560.5954853526773,\"vertices\":[[507.5954853526773,1179.289536982003],[560.5954853526773,1191.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[89.59548535267731,1297.789536982003],\"width\":31,\"height\":31.5,\"top\":1266.289536982003,\"bot\":1329.289536982003,\"left\":58.595485352677315,\"right\":120.59548535267731,\"vertices\":[[58.595485352677315,1266.289536982003],[120.59548535267731,1329.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[187.59548535267731,1299.789536982003],\"width\":37,\"height\":31.5,\"top\":1268.289536982003,\"bot\":1331.289536982003,\"left\":150.59548535267731,\"right\":224.59548535267731,\"vertices\":[[150.59548535267731,1268.289536982003],[224.59548535267731,1331.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[291.0954853526773,1298.789536982003],\"width\":30.5,\"height\":32.5,\"top\":1266.289536982003,\"bot\":1331.289536982003,\"left\":260.5954853526773,\"right\":321.5954853526773,\"vertices\":[[260.5954853526773,1266.289536982003],[321.5954853526773,1331.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[133.59548535267731,1221.289536982003],\"width\":34,\"height\":44,\"top\":1177.289536982003,\"bot\":1265.289536982003,\"left\":99.59548535267731,\"right\":167.59548535267731,\"vertices\":[[99.59548535267731,1177.289536982003],[167.59548535267731,1265.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[241.59548535267731,1221.289536982003],\"width\":25,\"height\":48,\"top\":1173.289536982003,\"bot\":1269.289536982003,\"left\":216.59548535267731,\"right\":266.5954853526773,\"vertices\":[[216.59548535267731,1173.289536982003],[266.5954853526773,1269.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[132.09548535267731,1181.289536982003],\"width\":33.5,\"height\":3,\"top\":1178.289536982003,\"bot\":1184.289536982003,\"left\":98.59548535267731,\"right\":165.59548535267731,\"vertices\":[[98.59548535267731,1178.289536982003],[165.59548535267731,1184.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[241.09548535267731,1179.789536982003],\"width\":23.5,\"height\":4.5,\"top\":1175.289536982003,\"bot\":1184.289536982003,\"left\":217.59548535267731,\"right\":264.5954853526773,\"vertices\":[[217.59548535267731,1175.289536982003],[264.5954853526773,1184.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[1372.5954853526773,665.289536982003],\"width\":473,\"height\":105,\"top\":560.289536982003,\"bot\":770.289536982003,\"left\":899.5954853526773,\"right\":1845.5954853526773,\"vertices\":[[899.5954853526773,560.289536982003],[1845.5954853526773,770.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1814.0954853526773,1003.289536982003],\"width\":32.5,\"height\":233,\"top\":770.289536982003,\"bot\":1236.289536982003,\"left\":1781.5954853526773,\"right\":1846.5954853526773,\"vertices\":[[1781.5954853526773,770.289536982003],[1846.5954853526773,1236.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1921.0954853526773,943.289536982003],\"width\":23.5,\"height\":387,\"top\":556.289536982003,\"bot\":1330.289536982003,\"left\":1897.5954853526773,\"right\":1944.5954853526773,\"vertices\":[[1897.5954853526773,556.289536982003],[1944.5954853526773,1330.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1131.5954853526773,1229.789536982003],\"width\":25,\"height\":99.5,\"top\":1130.289536982003,\"bot\":1329.289536982003,\"left\":1106.5954853526773,\"right\":1156.5954853526773,\"vertices\":[[1106.5954853526773,1130.289536982003],[1156.5954853526773,1329.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[980.5954853526773,1101.789536982003],\"width\":53,\"height\":8.5,\"top\":1093.289536982003,\"bot\":1110.289536982003,\"left\":927.5954853526773,\"right\":1033.5954853526773,\"vertices\":[[927.5954853526773,1093.289536982003],[1033.5954853526773,1110.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1165.0954853526773,1019.289536982003],\"width\":64.5,\"height\":14,\"top\":1005.289536982003,\"bot\":1033.289536982003,\"left\":1100.5954853526773,\"right\":1229.5954853526773,\"vertices\":[[1100.5954853526773,1005.289536982003],[1229.5954853526773,1033.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1394.5954853526773,1208.289536982003],\"width\":89,\"height\":10,\"top\":1198.289536982003,\"bot\":1218.289536982003,\"left\":1305.5954853526773,\"right\":1483.5954853526773,\"vertices\":[[1305.5954853526773,1198.289536982003],[1483.5954853526773,1218.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[1132.0954853526773,1226.789536982003],\"width\":28.5,\"height\":103.5,\"top\":1123.289536982003,\"bot\":1330.289536982003,\"left\":1103.5954853526773,\"right\":1160.5954853526773,\"vertices\":[[1103.5954853526773,1123.289536982003],[1160.5954853526773,1330.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"slippery\",\"hasMoved\":false},{\"xy\":[1646.0954853526773,1207.289536982003],\"width\":97.5,\"height\":33,\"top\":1207.289536982003,\"bot\":1240.289536982003,\"left\":1548.5954853526773,\"right\":1743.5954853526773,\"vertices\":[[1548.5954853526773,1174.289536982003],[1743.5954853526773,1240.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"movable\",\"hasMoved\":false},{\"xy\":[1964.0954853526773,537.789536982003],\"width\":26.5,\"height\":16.5,\"top\":521.289536982003,\"bot\":554.289536982003,\"left\":1937.5954853526773,\"right\":1990.5954853526773,\"vertices\":[[1937.5954853526773,521.289536982003],[1990.5954853526773,554.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2046.5954853526773,512.789536982003],\"width\":69,\"height\":9.5,\"top\":503.289536982003,\"bot\":522.289536982003,\"left\":1977.5954853526773,\"right\":2115.5954853526773,\"vertices\":[[1977.5954853526773,503.289536982003],[2115.5954853526773,522.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[2033.5954853526773,616.289536982003],\"width\":88,\"height\":12,\"top\":604.289536982003,\"bot\":628.289536982003,\"left\":1945.5954853526773,\"right\":2121.5954853526773,\"vertices\":[[1945.5954853526773,604.289536982003],[2121.5954853526773,628.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2097.5954853526773,683.789536982003],\"width\":79,\"height\":13.5,\"top\":670.289536982003,\"bot\":697.289536982003,\"left\":2018.5954853526773,\"right\":2176.5954853526773,\"vertices\":[[2018.5954853526773,670.289536982003],[2176.5954853526773,697.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2231.5954853526773,756.789536982003],\"width\":101,\"height\":14.5,\"top\":742.289536982003,\"bot\":771.289536982003,\"left\":2130.5954853526773,\"right\":2332.5954853526773,\"vertices\":[[2130.5954853526773,742.289536982003],[2332.5954853526773,771.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2314.5954853526773,815.289536982003],\"width\":68,\"height\":14,\"top\":801.289536982003,\"bot\":829.289536982003,\"left\":2246.5954853526773,\"right\":2382.5954853526773,\"vertices\":[[2246.5954853526773,801.289536982003],[2382.5954853526773,829.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2215.0954853526773,676.789536982003],\"width\":42.5,\"height\":6.5,\"top\":670.289536982003,\"bot\":683.289536982003,\"left\":2172.5954853526773,\"right\":2257.5954853526773,\"vertices\":[[2172.5954853526773,670.289536982003],[2257.5954853526773,683.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[2389.0954853526773,892.289536982003],\"width\":69.5,\"height\":21,\"top\":871.289536982003,\"bot\":913.289536982003,\"left\":2319.5954853526773,\"right\":2458.5954853526773,\"vertices\":[[2319.5954853526773,871.289536982003],[2458.5954853526773,913.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2461.5954853526773,967.289536982003],\"width\":64,\"height\":19,\"top\":948.289536982003,\"bot\":986.289536982003,\"left\":2397.5954853526773,\"right\":2525.5954853526773,\"vertices\":[[2397.5954853526773,948.289536982003],[2525.5954853526773,986.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2393.0954853526773,789.789536982003],\"width\":40.5,\"height\":11.5,\"top\":778.289536982003,\"bot\":801.289536982003,\"left\":2352.5954853526773,\"right\":2433.5954853526773,\"vertices\":[[2352.5954853526773,778.289536982003],[2433.5954853526773,801.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[2547.0954853526773,1038.289536982003],\"width\":67.5,\"height\":13,\"top\":1025.289536982003,\"bot\":1051.289536982003,\"left\":2479.5954853526773,\"right\":2614.5954853526773,\"vertices\":[[2479.5954853526773,1025.289536982003],[2614.5954853526773,1051.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2627.5954853526773,1116.789536982003],\"width\":70,\"height\":24.5,\"top\":1092.289536982003,\"bot\":1141.289536982003,\"left\":2557.5954853526773,\"right\":2697.5954853526773,\"vertices\":[[2557.5954853526773,1092.289536982003],[2697.5954853526773,1141.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2706.5954853526773,1193.789536982003],\"width\":69,\"height\":21.5,\"top\":1172.289536982003,\"bot\":1215.289536982003,\"left\":2637.5954853526773,\"right\":2775.5954853526773,\"vertices\":[[2637.5954853526773,1172.289536982003],[2775.5954853526773,1215.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2788.5954853526773,1288.789536982003],\"width\":88,\"height\":21.5,\"top\":1267.289536982003,\"bot\":1310.289536982003,\"left\":2700.5954853526773,\"right\":2876.5954853526773,\"vertices\":[[2700.5954853526773,1267.289536982003],[2876.5954853526773,1310.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2873.0954853526773,1386.789536982003],\"width\":76.5,\"height\":25.5,\"top\":1361.289536982003,\"bot\":1412.289536982003,\"left\":2796.5954853526773,\"right\":2949.5954853526773,\"vertices\":[[2796.5954853526773,1361.289536982003],[2949.5954853526773,1412.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2310.0954853526773,1385.789536982003],\"width\":57.5,\"height\":52.5,\"top\":1333.289536982003,\"bot\":1438.289536982003,\"left\":2252.5954853526773,\"right\":2367.5954853526773,\"vertices\":[[2252.5954853526773,1333.289536982003],[2367.5954853526773,1438.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"explodable\",\"hasMoved\":false},{\"xy\":[2000.5954853526773,1265.789536982003],\"width\":57,\"height\":63.5,\"top\":1202.289536982003,\"bot\":1329.289536982003,\"left\":1943.5954853526773,\"right\":2057.5954853526773,\"vertices\":[[1943.5954853526773,1202.289536982003],[2057.5954853526773,1329.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"explodable\",\"hasMoved\":false},{\"xy\":[2083.0954853526773,1250.789536982003],\"width\":29.5,\"height\":80.5,\"top\":1170.289536982003,\"bot\":1331.289536982003,\"left\":2053.5954853526773,\"right\":2112.5954853526773,\"vertices\":[[2053.5954853526773,1170.289536982003],[2112.5954853526773,1331.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[2388.0954853526773,1386.289536982003],\"width\":18.5,\"height\":53,\"top\":1333.289536982003,\"bot\":1439.289536982003,\"left\":2369.5954853526773,\"right\":2406.5954853526773,\"vertices\":[[2369.5954853526773,1333.289536982003],[2406.5954853526773,1439.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"std\",\"hasMoved\":false},{\"xy\":[2568.0954853526773,930.789536982003],\"width\":44.5,\"height\":17.5,\"top\":913.289536982003,\"bot\":948.289536982003,\"left\":2523.5954853526773,\"right\":2612.5954853526773,\"vertices\":[[2523.5954853526773,913.289536982003],[2612.5954853526773,948.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[2717.5954853526773,1081.789536982003],\"width\":35,\"height\":11.5,\"top\":1070.289536982003,\"bot\":1093.289536982003,\"left\":2682.5954853526773,\"right\":2752.5954853526773,\"vertices\":[[2682.5954853526773,1070.289536982003],[2752.5954853526773,1093.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[2880.5954853526773,1255.289536982003],\"width\":21,\"height\":13,\"top\":1242.289536982003,\"bot\":1268.289536982003,\"left\":2859.5954853526773,\"right\":2901.5954853526773,\"vertices\":[[2859.5954853526773,1242.289536982003],[2901.5954853526773,1268.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"gravity\",\"hasMoved\":false},{\"xy\":[2355.0954853526773,313.789536982003],\"width\":48.5,\"height\":11.5,\"top\":302.289536982003,\"bot\":325.289536982003,\"left\":2306.5954853526773,\"right\":2403.5954853526773,\"vertices\":[[2306.5954853526773,302.289536982003],[2403.5954853526773,325.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2528.5954853526773,271.289536982003],\"width\":69,\"height\":11,\"top\":260.289536982003,\"bot\":282.289536982003,\"left\":2459.5954853526773,\"right\":2597.5954853526773,\"vertices\":[[2459.5954853526773,260.289536982003],[2597.5954853526773,282.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[2065.5954853526773,253.28953698200303],\"width\":69,\"height\":12,\"top\":241.28953698200303,\"bot\":265.289536982003,\"left\":1996.5954853526773,\"right\":2134.5954853526773,\"vertices\":[[1996.5954853526773,241.28953698200303],[2134.5954853526773,265.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1728.0954853526773,516.289536982003],\"width\":35.5,\"height\":12,\"top\":504.289536982003,\"bot\":528.289536982003,\"left\":1692.5954853526773,\"right\":1763.5954853526773,\"vertices\":[[1692.5954853526773,504.289536982003],[1763.5954853526773,528.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1810.0954853526773,473.789536982003],\"width\":34.5,\"height\":17.5,\"top\":456.289536982003,\"bot\":491.289536982003,\"left\":1775.5954853526773,\"right\":1844.5954853526773,\"vertices\":[[1775.5954853526773,456.289536982003],[1844.5954853526773,491.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1845.0954853526773,407.789536982003],\"width\":26.5,\"height\":9.5,\"top\":398.289536982003,\"bot\":417.289536982003,\"left\":1818.5954853526773,\"right\":1871.5954853526773,\"vertices\":[[1818.5954853526773,398.289536982003],[1871.5954853526773,417.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1843.0954853526773,364.289536982003],\"width\":6.5,\"height\":8,\"top\":356.289536982003,\"bot\":372.289536982003,\"left\":1836.5954853526773,\"right\":1849.5954853526773,\"vertices\":[[1836.5954853526773,356.289536982003],[1849.5954853526773,372.289536982003]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1349.0954853526773,147.28953698200303],\"width\":24.5,\"height\":38,\"top\":109.28953698200303,\"bot\":185.28953698200303,\"left\":1324.5954853526773,\"right\":1373.5954853526773,\"vertices\":[[1324.5954853526773,109.28953698200303],[1373.5954853526773,185.28953698200303]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1488.0954853526773,175.28953698200303],\"width\":20.5,\"height\":31,\"top\":144.28953698200303,\"bot\":206.28953698200303,\"left\":1467.5954853526773,\"right\":1508.5954853526773,\"vertices\":[[1467.5954853526773,144.28953698200303],[1508.5954853526773,206.28953698200303]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false},{\"xy\":[1696.0954853526773,89.78953698200303],\"width\":46.5,\"height\":53.5,\"top\":36.28953698200303,\"bot\":143.28953698200303,\"left\":1649.5954853526773,\"right\":1742.5954853526773,\"vertices\":[[1649.5954853526773,36.28953698200303],[1742.5954853526773,143.28953698200303]],\"overred\":false,\"selected\":false,\"type\":\"breakable\",\"hasMoved\":false}]")